Subject: Community Health Trust Director Suspended
From: [email-masked]
Date: Thu, 4 Nov 1999 23:33:32 EST

From The Letter - Kentucky's gay, lesbian, bisexual & transgender newspaper

The board of directors of Community Health Trust, Kentucky's leading AIDS 
agency, has suspended its executive director, Dr. Collin Schwoyer, after 
police discovered magazines and photos of naked juveniles at his home.  
According to a news report by WHAS-TV in Louisville this evening, the police 
investigation began after workers at Community Health Trust's offices saw 
movies with similar content on his computer at work.

Police have assured Community Health Trust that it is not a target of the 
investigation, and one board member told WHAS' reporter, Lisa Kiava, that the 
agency's reputation speaks for itself.

Schwoyer has not yet been charged with any crimes.

###